package com.incubator.game.util;

import com.incubator.common.util.RandomUtil;
import com.incubator.game.data.po.PlayerInfoPO;
import com.incubator.game.player.Player;
import com.incubator.game.robot.RobotService;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.UUID;

/**
 * 机器人工具类
 */
public final class RobotUtil {

    /**
     * 获取指定数量的机器人
     *
     * @param count
     * @return
     */
    public static List<Player> createRobot(int count) {
        List<Player> list = Collections.synchronizedList(new ArrayList<>());
        for (int i = 0; i < count; i++) {
            list.add(createRobot());
        }
        return list;
    }

    /**
     * 初始化创建机器人数据
     *
     * @return
     */
    public static Player createRobot() {
        PlayerInfoPO playerInfoPO = new PlayerInfoPO();
        playerInfoPO.playerId = UUID.randomUUID().toString();
        playerInfoPO.name = "robot_" + RandomUtil.randomSixDigits();
        playerInfoPO.avatarUrl = "https://img95.699pic.com/element/40109/0194.png_300.png";
        playerInfoPO.sex = 0;
        playerInfoPO.exp = 3000L;
        playerInfoPO.vipLevel = 1;
        playerInfoPO.masterScore = 9000L;
        playerInfoPO.masterScoreLevel = 2;
        playerInfoPO.gold = 10000L;
        playerInfoPO.diamond = 20000L;
        playerInfoPO.accumulatedPoints = 10000L;
        playerInfoPO.startTimeVip = "";
        playerInfoPO.endTimeVip = "";
        playerInfoPO.gps = "";
        playerInfoPO.gpsAddr = "";
        playerInfoPO.foca = 20L;
        playerInfoPO.ranking = 20;
        playerInfoPO.figureId = 1;
        playerInfoPO.phoneNum = "13800000001";
        playerInfoPO.idCard = "42100119000101000X";
        playerInfoPO.friendMasterNum = 1000;
        playerInfoPO.friendMasterRate = 60;
        playerInfoPO.tradPoints = 2000;
        playerInfoPO.tradPointsRate = 30;
        playerInfoPO.tradMatchNum = 3000;
        playerInfoPO.tradMatchRate = 20;
        playerInfoPO.noReshNum = 10000;
        playerInfoPO.noReshRate = 70;

        Player robot = RobotService.getInstance().robotPool.acquireRobot(playerInfoPO);
        robot.data = playerInfoPO;
        robot.data.isRobot = true;
        return robot;
    }

}
